#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009, 2012 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

# http://www.ibm.com/developerworks/wikis/display/LinuxP/Entries+in+the+proc+Filesystem
# /proc/ppc64/lparcfg on a non LPAR-capable system, it contains line "partition_id=0", else, it is lpar system.
#

grep "partition_id=0" /proc/ppc64/lparcfg
exit_status=$?

if [ "$exit_status" -ne 0 ]; then
    echo "this is LPAR-capable system"
	exit 1
else
    echo "this is non LPAR-capable system"
	exit 0
fi


